function DMMainTabbarItem(page) {
    page.setSelected = function(selected) {
        if(selected) {
            page.pngImage.setVisible("false");
            page.gifImage.setVisible("true");
            page.gifImage.playOnce();
            page.text.setFontColor("#f45542");
        } else {
            page.pngImage.setVisible("true");
            page.gifImage.setVisible("false");
            page.text.setFontColor("#484b4d");
        }
    }

    page.setNewCount = function(newCount) {
        if(newCount == 0) {
            page.newIcon.setVisible("false");
            page.newCountText.setVisible("false");
            return;
        }
        if(newCount > 0) {
            page.newIcon.setVisible("false");
            page.newCountText.setVisible("true");
            if(newCount < 10) {
                page.newCountText.setWidth("16dp");
                page.newCountText.setText(""+newCount);
                return;
            }
            if(newCount < 100) {
                page.newCountText.setWidth("18dp");
                page.newCountText.setText(""+newCount);
                return;
            }
            page.newCountText.setWidth("24dp");
            page.newCountText.setText("99+");
            return;
        }
        page.newIcon.setVisible("true");
        page.newCountText.setVisible("false");
    }
}